Blog

jQuery em seu site WordPress

Alterar versão do jQuery em seu site WordPress

10 de Maio de 2018

Saiba que é possível alterar a versão do jQuery em seu site WordPress! Se você faz sites em WordPress deve saber que o ele ainda não atualizou a versão do jQuery carregado automaticamente (atualmente a versão é a 1.12.4, dependendo de quando ler este post, ele pode ter sido atualizado) e se você carrega outro arquivo jQuery está cometendo um erro terrível.

Hoje com frameworks em constante atualização, é necessário estar atento as mudanças de versões de suas bibliotecas, um bom exemplo é o próprio Bootstrap, que em sua versão 4 utiliza o Popper e o jQuery 3.x.x, neste caso em específico, se a versão dos arquivos exigidos não forem correspondentes, pode causar erros, e um pouco  de dor de cabeça.

A solução é bem simples, mas exige um pouco de conhecimento da estrutura do WordPress, basta colocar o código abaixo em seu arquivo functions.php

Neste caso, estou utilizando o CDN do Google, mas é possível (e mais indicado) baixar o arquivo jQuery e colocar em um repositório junto da aplicação. Se possível utilize gestor de dependências para manter seus arquivos sempre atualizados.

Espero ter ajudado, enjoy.

 



Desenvolvedor Web fissurado em filmes de heróis, e desenhos animados, fanático por vídeo game, e poeta nas horas vagas.